extends Setting
## Setting with numeric slider representing a floating-point value

@onready var slider: NumericSlider = %NumericSlider


func initialize_value(value: Variant) -> void:
	@warning_ignore("unsafe_cast")
	slider.value = value as float


func get_value() -> Variant:
	return slider.value
